| ## g_sgangle Main Table of Contents | VERSION 3.2.0 Sun 25 Jan 2004

### Description

Compute the angle and distance between two groups. The groups are defined by a number of atoms given in an index file and may be two or three atoms in size. The angles calculated depend on the order in which the atoms are given. Giving for instance 5 6 will rotate the vector 5-6 with 180 degrees compared to giving 6 5.

If three atoms are given, the normal on the plane spanned by those three atoms will be calculated, using the formula P1P2 x P1P3. The cos of the angle is calculated, using the inproduct of the two normalized vectors.

Here is what some of the file options do:
-oa: Angle between the two groups specified in the index file. If a group contains three atoms the normal to the plane defined by those three atoms will be used. If a group contains two atoms, the vector defined by those two atoms will be used.
-od: Distance between two groups. Distance is taken from the center of one group to the center of the other group.
-od1: If one plane and one vector is given, the distances for each of the atoms from the center of the plane is given seperately.
-od2: For two planes this option has no meaning.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `traj.xtc` | Input | Generic trajectory: xtc trr trj gro g96 pdb
`-n` | `index.ndx` | Input | Index file
`-s` | `topol.tpr` | Input | Generic run input: tpr tpb tpa xml
`-oa` | `sg_angle.xvg` | Output | xvgr/xmgr file
`-od` | `sg_dist.xvg` | Output | xvgr/xmgr file
`-od1` | `sg_dist1.xvg` | Output | xvgr/xmgr file
`-od2` | `sg_dist2.xvg` | Output | xvgr/xmgr file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-dt` | time | `-1` | Only use frame when t MOD dt = first time (ps)
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files

http://www.gromacs.org
gromacs@gromacs.org